A lot of script-driven applications, especially paid cms, encrypt their files to make sure that they will not be reverse engineered or tampered with. Many of them use an app named ionCube PHP Encoder to do that, so, in case you acquire a paid script and you'd like to set it up in a hosting account, an instrument known as ionCube Loader has to be present on the server. Without it, you can't install the script or if you somehow manage to do that, it will not work properly as almost all of the script code will be encoded to a degree where it cannot be interpreted. In this light, you have to make sure that ionCube Loader is set up if you get a fresh web hosting account and you would like to work with some paid web application. If you acquire a shared hosting account and the instrument is not present, it cannot be added as your entire server PHP environment shall have to be compiled again.

IonCube in Cloud Hosting

When you buy a Linux cloud hosting from our company, it will be created on our in-house built cloud hosting platform where ionCube Loader is already installed, so you won't have any kind of problems to manage any script application that needs the tool to run appropriately. Furthermore, we offer you a few different releases of PHP, so if you switch the version, you will have to activate ionCube once again. Our system remembers the changes you make, and in case you go back to the earlier version of PHP that was active for your account, ionCube Loader will already be enabled. Both the PHP version as well as the ionCube instrument can be managed through the PHP Configuration part of our Hepsia web hosting Control Panel. Each adjustment that you do takes literally just a single click and it will take effect instantly.

IonCube in Semi-dedicated Hosting

In case you purchase a semi-dedicated server package from our company, you will be able to employ any kind of script-driven app that requires ionCube Loader due to the fact that the tool is installed on all servers that are a part of our state-of-the-art cloud hosting platform. In addition, we support different releases of PHP, therefore if you switch from PHP 4 to 5.2 or 5.3, for example, you can activate ionCube for this particular version with just a click in your Hepsia Control Panel. Our system will remember your choice, and if you move back to the previous release of PHP, the software instrument will already be active. For more tech-savvy users, we also provide the option to pick the PHP version and whether ionCube will be active or not for a particular domain without altering the settings for the entire web hosting account. This can be done by placing a php.ini file inside a domain folder with a couple of lines of code.